* Z80/8086形式の４バイト(long)データを68000longにして返す関数
* int ctol80(unsigned char buff[4])
* buffからはbyte境界でも読み込めるようにしておく

	.text
	.even

	.xdef	_ctol80
_ctol80:
	move.l	4(sp),a0
	move.b	3(a0),d0	* H:H
	lsl.w	#8,d0
	move.b	2(a0),d0	* H:L
	swap	d0
	move.b	1(a0),d0	* L:H
	lsl.w	#8,d0
	move.b	(a0),d0		* L:L
	rts

	.end
